commit:     b59a4c160da533bc6333024032c21541be03d3db
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 12 20:48:16 2023 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Jul 12 20:49:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b59a4c16

games-util/slade: Bump to 3.2.4, fixes build with GCC 13

Closes: https://bugs.gentoo.org/899040
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-util/slade/Manifest           |  1 +
 games-util/slade/slade-3.2.4.ebuild | 80 +++++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/games-util/slade/Manifest b/games-util/slade/Manifest
index 71d47f925a43..e05f21844609 100644
--- a/games-util/slade/Manifest
+++ b/games-util/slade/Manifest
@@ -1,2 +1,3 @@
 DIST slade-3.2.1.tar.gz 6471666 BLAKE2B 
17a4f2ec23699a56d4fd970605d7141d3f4593f7ced6fff205c87d9ecddc7b90e6da2991aeea32bd008e24cdfee95b7c16946f78b2701c94e51266afd78863d6
 SHA512 
b7d5a91c759c5a68af63aa9a8412452a5b2986e70f7189ca92ee99ce4953ef47381be907c8ce1166e479f24679904bf5f0e0b1a5da846fe7873c5b97f4315449
 DIST slade-3.2.2.tar.gz 6479812 BLAKE2B 
2394f8f1e858a2f96e625cbf68a983d235e96a055c2fba7b99e79475e84bc43a9fce49bac1fadd6d5a5cfcf68f59f92ee61272def54962ec251a9441ca03c357
 SHA512 
4fd73f36df4800873154329222a382f9051f0d61aba1d7061e48b0350b5ab68066e5c484dd3200a118f254be5cb7b86dad7fa3a757556243bd5c8af5ea89d638
+DIST slade-3.2.4.tar.gz 7000370 BLAKE2B 
251c79b1f90dea7971120a7b55d89d5112857f04a5609a26ce3970116d616c7361b1bea98da05a5e3fde0d433e62a34e9610a1d32ca9e72ee4f140ae7ac22ec6
 SHA512 
e3dda37aebc9c4bab3fb0d1179cbe726be2cdf55d9d7d95cfa47c8f817a1cf2b01863cce09da17da85af1e4077f1f9b7841abdaa8f114e3a6db1fe2b48292ffd

diff --git a/games-util/slade/slade-3.2.4.ebuild 
b/games-util/slade/slade-3.2.4.ebuild
new file mode 100644
index 000000000000..48395e6d88fa
--- /dev/null
+++ b/games-util/slade/slade-3.2.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( lua5-{1..3} )
+WX_GTK_VER="3.2-gtk3"
+
+inherit cmake lua-single wxwidgets
+
+MY_PV="${PV/beta/b}"
+DESCRIPTION="Modern editor for Doom-engine based games and source ports"
+HOMEPAGE="https://slade.mancubus.net/";
+SRC_URI="https://github.com/sirjuddington/${PN^^}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fluidsynth timidity webkit"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+DEPEND="
+       ${LUA_DEPS}
+       app-arch/bzip2:=
+       dev-libs/libfmt:=
+       >=media-libs/dumb-2:=
+       media-libs/freeimage[jpeg,png,tiff]
+       media-libs/glew:0=
+       media-libs/libsfml:=
+       media-sound/mpg123
+       net-misc/curl
+       sys-libs/zlib
+       x11-libs/wxGTK:${WX_GTK_VER}[opengl,webkit?,X]
+       fluidsynth? ( media-sound/fluidsynth:= )
+"
+
+RDEPEND="
+       ${DEPEND}
+       timidity? ( media-sound/timidity++ )
+"
+
+BDEPEND="
+       app-arch/p7zip
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/${PN^^}-${MY_PV}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.2.0_beta2-fluidsynth-driver.patch
+       "${FILESDIR}"/${PN}-3.2.2-wayland.patch
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       # Delete bundled libraries just in case.
+       rm -r thirdparty/dumb/ thirdparty/fmt/ || die
+
+}
+
+src_configure() {
+       local luav=$(lua_get_version)
+
+       local mycmakeargs=(
+               -DLua_FIND_VERSION_MAJOR=$(ver_cut 1 "${luav}")
+               -DLua_FIND_VERSION_MINOR=$(ver_cut 2 "${luav}")
+               -DLua_FIND_VERSION_COUNT=2
+               -DLua_FIND_VERSION_EXACT=ON
+               -DNO_COTIRE=ON
+               -DNO_FLUIDSYNTH=$(usex fluidsynth OFF ON)
+               -DNO_WEBVIEW=$(usex webkit OFF ON)
+               -DUSE_SFML_RENDERWINDOW=ON
+               -DUSE_SYSTEM_DUMB=ON
+               -DUSE_SYSTEM_FMT=ON
+               -DWX_GTK3=ON
+       )
+
+       setup-wxwidgets
+       cmake_src_configure
+}

Reply via email to